# Pass response directly from a Github repo

## Demo directory structure

```
Demo Directory/
  demo.response.html
  demo.response.json
  demo.response.xml
```

## Running demo in JSFiddle

```
https://jsfiddle.net/gh/get/response.{extension}/{github_tree}/
```

URL segments in examples:

* `extension` – the file extension of the demo.response.{extension} in github demo repository.
* `github_tree` – the path to the directory used to display it on github page (without `http://github.com/`).

{% hint style="info" %}
There is no JSONP functionality provided. One may achieve it using raw GitHub URL.
{% endhint %}

## Example

Content of:

`http://github.com/zalun/jsFiddleGithubDdemo/raw/master/Demo/demo.response.html`

will be returned with **text/html** MIME type if this URL will be loaded from:

`https://jsfiddle.net/gh/get/response.html/zalun/jsFiddleGithubDemo/tree/master/Demo/`

{% hint style="info" %}
**Example:**&#x20;

<http://jsfiddle.net/gh/get/mootools/1.2/zalun/jsFiddleGithubDemo/tree/master/Demo/>
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jsfiddle.net/github-integration/pass-response-directly-from-github-repository.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
